Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517632 - [docs] disconnected installation contains too old example
Summary: [docs] disconnected installation contains too old example
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Ashley Hardin
QA Contact: Johnny Liu
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 06:40 UTC by Kenjiro Nakayama
Modified: 2018-05-09 00:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-25 19:19:11 UTC


Attachments (Terms of Use)

Description Kenjiro Nakayama 2017-11-27 06:40:01 UTC
Document URL:

https://docs.openshift.com/container-platform/3.6/install_config/install/disconnected_install.html#disconnected-editing-the-image-stream-definitions

Section Number and Name:

Editing the Image Stream Definitions

Describe the issue:

Following instruction is too old, and there are no "dockerImageRepository" in the imageStream.

~~~
For example, change:

"spec": {
  "dockerImageRepository": "registry.access.redhat.com/rhscl/mongodb-26-rhel7",

to:

"spec": {
  "dockerImageRepository": "172.30.69.44:5000/openshift/mongodb-26-rhel7",
~~~

Suggestions for improvement:

~~~
For example, change:


            "from": {
              "kind": "DockerImage",
              "name": "registry.access.redhat.com/rhscl/httpd-24-rhel7"
	      }

to:
            "from": {
              "kind": "DockerImage",
              "name": "172.30.69.44:5000/openshift/httpd-24-rhel7"
	      }
~~~

Note for the ref: https://github.com/openshift/openshift-ansible/blob/release-3.6/roles/openshift_examples/files/examples/v3.6/image-streams/image-streams-rhel7.json#L45-L47

Comment 1 Ashley Hardin 2018-01-02 22:57:43 UTC
Work in progress: https://github.com/openshift/openshift-docs/pull/6980

Comment 2 Johnny Liu 2018-01-08 08:38:00 UTC
LGTM.

Comment 3 openshift-github-bot 2018-01-08 16:23:13 UTC
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/5697a0e54816a83b9a395d4bb28acc5714fe8559
Bug 1517632, updated example in Editing the Image Stream Definitions

https://github.com/openshift/openshift-docs/commit/649a3ccdb2ecbfb7d23c8e4347e2244a1fbbe0ec
Merge pull request #6980 from ahardin-rh/editing-image-stream-definitions

Bug 1517632, updated example in Editing the Image Stream Definitions


Note You need to log in before you can comment on or make changes to this bug.